// C:\JavaScriptYAngularJavaScript\C07\demostracion\modulo.ts 
module miModulo { 
    export class Vehiculo { 
        metodoDelVehiculo() { 
            console.log("Método del vehiculo."); 
        } 
    }
    
    class Coche extends Vehiculo { 
        metodoDelCoche() { 
                console.log("Método del coche."); 
        } 
    } 
        
    class TractorCortacesped extends Vehiculo { 
        metodoDelTractorCortacesped () { 
                console.log("Método del tractor cortacesped."); 
        } 
    } 
}
